<ion-content padding>
    <div class="pageContainer">
      <div class="pageContainerInner">
        <div class="logoContainer">
          <img src="../../assets/images/logoWhite.png">
          <p>Never lose your WARRANTIES</p>
        </div> 
        <form #fverifyOTP="ngForm" (ngSubmit)="fverifyOTP.valid && verifyOTP()" novalidate="novalidate">
        <div class="box">
          <p class="text-center">Verification</p>
          <div class="mobileNumberContainer">
            <ion-input type="number"  minlength="4" maxlength="4" clearInput placeholder="Enter OTP" [(ngModel)]="model.otp" name="otp" #otp=ngModel required></ion-input>
          </div>
          <div *ngIf="fverifyOTP.submitted">
            <div *ngIf="otp?.errors?.required">
              This field is required.
            </div>
            <div *ngIf="otp?.errors?.minlength">
              OTP must be of 4 digits.
            </div>
         </div>
          <ion-button expand="full"  [routerDirection]="'root'" type="submit">Verify</ion-button>
          <ion-button  expand="full" [routerDirection]="'root'"  routerLink="/registration" fill="clear"> <ion-icon name="arrow-back"> </ion-icon> &nbsp; Back</ion-button>
        </div>
      </form>
      </div>
    </div>
  </ion-content>